<!-- Maven settings used by BRMS/BPM Suite test suites to override user.home/.m2/settings.xml. -->
<settings>
  <mirrors>
    <mirror>
        <id>mirror-central</id>
        <mirrorOf>external:*,!kie-wb-m2-repo</mirrorOf>
        <url>http://${env.LOCAL_NEXUS_IP}:8081/nexus/content/groups/public/</url>
    </mirror>
  </mirrors>

  <profiles>
    <profile>
      <id>internal-npm-registry</id>
      <activation>
        <activeByDefault>true</activeByDefault>
      </activation>
      <properties>
        <npmRegistryURL>${env.NPM_REGISTRY_URL}</npmRegistryURL>
        <yarnDownloadRoot>http://rcm-guest.app.eng.bos.redhat.com/rcm-guest/staging/rhba/dist/yarn/</yarnDownloadRoot>
        <nodeDownloadRoot>http://rcm-guest.app.eng.bos.redhat.com/rcm-guest/staging/rhba/dist/node/</nodeDownloadRoot>
        <npmDownloadRoot>http://rcm-guest.app.eng.bos.redhat.com/rcm-guest/staging/rhba/dist/npm/</npmDownloadRoot>
      </properties>
    </profile>
  </profiles>
</settings>